Subject: Re: [netmod] [Errata Verified] RFC8792 (6739)

From: Qin Wu <[email-masked]>
Date: Sat, 20 Nov 2021 02:51:07 +0000

Agree with Kent's assessment, there is inconsistency issues on source xml file introduced not by author of this RFC, the root cause of issue is from RFC7991, either apply this tag in all places or not apply any tag since this tag is optional.
Somewhere need to be fixed. If not through Errata, I think RFC Editor needs a way to track this RFC7991 related issues applied to all IETF documents.

-Qin
-----邮件原件-----
发件人: Kent Watsen [mailto:[email-masked]] 
发送时间: 2021年11月20日 1:06
收件人: Rob Wilton (rwilton) <[email-masked]>
抄送: [email-masked]; Erik Auerswald <[email-masked]>; [email-masked]; Qin Wu <[email-masked]>; [email-masked]; [email-masked]; [email-masked]
主题: Re: [Errata Verified] RFC8792 (6739)

I do not think this Errata should've been verified because RFC 7991 says that use of this tag is optional.

	2.9.  <bcp14>

	   Marks text that are phrases defined in [BCP14] such as "MUST",
	   "SHOULD NOT", and so on.  When shown in some of the output
	   representations, the text in this element might be highlighted.  The
	   use of this element is optional.

I understand that there might be a consistency issue, but to take an RFC from having zero errata to non-zero errata over this seems petty.

FWIW, the authors did not have any <bcp14> elements in the original XML.  Any such tags found in the final RFC must’ve been added by a copy editor.

K. // as a contributor

> On Nov 18, 2021, at 9:39 PM, RFC Errata System <[email-masked]> wrote:
> 
> The following errata report has been verified for RFC8792, "Handling 
> Long Lines in Content of Internet-Drafts and RFCs".
> 
> --------------------------------------
> You may review the report below and at:
> https://www.rfc-editor.org/errata/eid6739
> 
> --------------------------------------
> Status: Verified
> Type: Editorial
> 
> Reported by: Martin Thomson <[email-masked]> Date Reported: 
> 2021-11-18 Verified by: RFC Editor
> 
> Section: 7.1.2
> 
> Original Text
> -------------
> Exceptionally long lines MAY be folded multiple times.
> 
> Corrected Text
> --------------
> Exceptionally long lines MAY be folded multiple times.
> 
> Notes
> -----
> The "MAY" in this text lacks a bcp14 XML tag. This is apparent in the non-text renderings.
> 
> --VERIFIER NOTES--
> This also applies to section 8.1.2
> 
> --------------------------------------
> RFC8792 (draft-ietf-netmod-artwork-folding-12)
> --------------------------------------
> Title               : Handling Long Lines in Content of Internet-Drafts and RFCs
> Publication Date    : June 2020
> Author(s)           : K. Watsen, E. Auerswald, A. Farrel, Q. Wu
> Category            : INFORMATIONAL
> Source              : Network Modeling
> Area                : Operations and Management
> Stream              : IETF
>

---

From: Carsten Bormann <[email-masked]>
Date: Mon, 22 Nov 2021 11:46:00 +0100

On 2021-11-20, at 03:51, Qin Wu <[email-masked]> wrote:
> 
> inconsistency issues on source xml file introduced not by author of this RFC,

I think the underlying issue here is that verified Errata are generally perceived as quality feedback for the authors (visible to everyone), but in this case it wasn’t the authors that made the mistake.  

This is of course not solvable, as blame assignment is not one of the functions of the errata reporting system, but we can’t prevent that it will be perceived as such.

Grüße, Carsten